Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2000-1219

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2000-1219
Last Modified 05 Sep 2008 04:22:57
Published 01 Nov 2000 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2000-1219

Summary

The -ftrapv compiler option in gcc and g++ 3.3.3 and earlier does not handle all types of integer overflows, which may leave applications vulnerable to vulnerabilities related to overflows.

Vulnerable Systems

Application

  • Gnu G%2b%2b 3.3.3

  • Gnu Gcc 3.3.3


References

CERT-VN - VU#540517

MLIST - [gcc-bugs] 20020506 c/6586: -ftrapv doesn't catch multiplication overflow


Last Updated: 27 May 2016 10:36:04